id_item=0;
post_id=0;

function SendMe()
{

  /* очистка тегов, отсев спамеров и никчевоков */
  msg="";
  s=$('#text').val();
  s=s.replace(/(\s){2,}/gi,'$1');
  r=s.replace(/[^a-zа-я]/gi, "");
  s1=s.replace(/[A-ZА-Я]/g, "");
  s2=s.replace(/[a-zа-я]/g, "");
  CAPS=s2.length/(1+s1.length);
  CAPS=CAPS>2;
  
  au=$('#author').val();
  //if (s.length<30) msg=msg+ ' Вы очень лаконичны';  else
  if (au.length<3) msg=msg+ ' Введите имя ';  else
  if (!s.match(/[а-яА-Я]/)) msg=msg+ ' Можно без транслита? ';  else
  if (CAPS) msg=msg+ 'Вы с телеграфу или Capslock заело?';
  if (s.length>10000) msg=msg+ 'Сократите текст до 10К';
  if (msg!='') {$('.mypopup th b').html('<div class="red">'+msg+'</div>');return false;}

  /*  индикатор загрузки  */
  w=$('.yesno').width();
  $('.mypopup .msg').css('width',w);
  $('.mypopup .msg').css('height',w);
  $('.mypopup').addClass('ajaxshow');
  /* AJAX */
  $.ajax({
  url: '/comments/add_aj',
  type : 'post',
  dataType : "json", 
  timeout: 1000000,
  data: {"id_item":id_item,"author":$("#author").val(),"body":$("#text").val(),"cpt":$("#cpt").val(),"city":$("select#city").val()},
  error: function(){$('.mypopup').addClass('ajax404');},
  success: function(data){
	    //ошибок не было
	    if (data.status == "OK") {
			//$('status').innerHTML = "Данные сохранены";
	        //убираем сообщение об ошибках, если они остались после
	        //предыдущей попытки
			$('.mypopup').attr('class','mypopup');
			$('.mypopup th b').html('Ваш комментарий дабавлен');
			msg='<div class=\"onecom\"><div class=\"b\">'+data.author+' ('+data.city+')</div><div class=\"cdate\">'+data.date+'</div><p>'+data.body+'</p></div>';
			//msg='<div class="cauthor">'+data.author+' ('+data.city+') </div><div class="cdate">'+data.date+'</div><div class="cbody"><p>'+data.body+'</p></div>';
			j=$("#comments");
			j.prepend(msg);
			$('#nocomments').remove();
			setTimeout("$.facebox.close()", 500);
	    }
	    //ошибки были, показываем их описание
	    else {
			$('.mypopup').attr('class','mypopup');			
	        $('.mypopup th b').html('<div class="red">'+data.errmsg+'</div>');
	    }
	}    
    });
}


$(document).ready(function(){

$("#talkabout a").click( function () { postPopUp(this); post_id=0; id_item=$(this).attr('rev'); });

function postPopUp(e)
{
     id_item=$(e).attr('rev');
     post_id=$(e).attr('name');
     $('.mypopup').attr('class','mypopup'); //скопом убираем все лишние стили
	 $img = "#hello_bot";
     q='<table class="yesno"><tbody><tr><td></td><th><b>Используйте нормативную лексику</b></th></tr></tbody><tr><th>Имя:</th><td><input type="text" id="author" maxlength="32" /></td></tr>'+
        '<tr><th><img alt="" class="absmid" id="hello_bot" src="/vote/captha_img/'+Math.random()+'" /></th> <td><input type="text" id="cpt" maxlength="32"/></td></tr>'+
        '<tr><th>Город :</th><td><select id="city"><option value="1">Киев</option><option value="2">Харьков</option><option value="3">Одесса</option><option value="4">Днепропетровск</option><option value="5">Донецк</option><option value="6">Львов</option>option value="7">Николаев</option><option value="8">Полтава</option><option value="9">Кировоград</option><option value="10">Ровно</option><option value="11">Луганск</option><option value="12">Закарпатье</option><option value="13">Запорожье</option><option value="14">Житомир</option><option value="15">Ивано-Франковск</option><option value="16">Винница</option><option value="17">Волынь</option><option value="18">Сумы</option><option value="19">Тернополь</option><option value="20">Херсон</option><option value="21">Хмельницкий</option><option value="22">Черкассы</option><option value="23">Чернигов</option><option value="24">Черновцы</option><option value="25">АР Крым</option></select></td></tr>'+
        '<tr><th>Комментарий:</th><td><textarea name="text" id="text"></textarea></td></tr>'+
        '<tr><td></td><td><b><input type="button" id="sendme" value="Отправить" onclick="SendMe()"/></b></td></tr></table><div class="msg"></div>';
     $('.mypopup').html(q);
}

$('a[rel*=facebox]').facebox();

});

